Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.console.plugins.helpers
Class BasePluginWrapper

    java.lang.Object
      org.jboss.console.plugins.helpers.AbstractPluginWrapper
          org.jboss.console.plugins.helpers.BasePluginWrapper

All Implemented Interfaces:
  ConsolePlugin, PluginWrapper, Serializable

public class BasePluginWrapper
extends AbstractPluginWrapper

Version:
  $Revision: 1.6 $

  Revisions:

  23 dec 2002 Sacha Labourey:

  - First implementation
Author:
  Sacha Labourey.
See Also:
  , Serialized Form

Nested Class Summary
`class` | `BasePluginWrapper.SimplePluginContext`

Nested classes inherited from class org.jboss.console.plugins.helpers.AbstractPluginWrapper
`AbstractPluginWrapper.InternalResourceChecker, AbstractPluginWrapper.RootTreeChecker, AbstractPluginWrapper.SingleMBeanChecker, AbstractPluginWrapper.StandardMBeanChecker, AbstractPluginWrapper.SubFolderChecker`

Field Summary
`protected bsh.Interpreter` | `interpreter`
`protected PluginContext` | `pluginCtx`
`protected String` | `pluginName`
`protected String` | `pluginVersion`
`protected ScriptPlugin` | `script`
`protected String` | `scriptContent`
`protected String` | `scriptName`

Fields inherited from class org.jboss.console.plugins.helpers.AbstractPluginWrapper
`checker, FOLDER_NAME_PARAM, folderName, IS_ROOT_NODE_PARAM, log, MBEAN_CLASS_PARAM, mbeanClass, mbeanServer, OBJECT_NAME_PARAM, objectName, pm, rootContextName, SCRIPT_NAME_PARAM, WRAPPER_CLASS_PARAM`

Fields inherited from interface org.jboss.console.manager.interfaces.ConsolePlugin
`PLUGIN_PROFILES, WEB_PROFILE`

Constructor Summary
`BasePluginWrapper()`

Method Summary
`protected String` | `getPluginIdentifier()`
`protected String` | `getPluginVersion()`
`protected TreeNode` | `getTreeForResource(String profile, ManageableResource resource)`
`void` | `init(javax.servlet.ServletConfig servletConfig)`
`protected boolean` | `isResourceToBeManaged_Script(PluginManager master, ManageableResource resource)`
`protected boolean` | `isResourceToBeManaged(ManageableResource resource)`
`protected void` | `loadScript(String scriptName)`
`void` | `readConfigurationParameters(javax.servlet.ServletConfig config)`

Methods inherited from class org.jboss.console.plugins.helpers.AbstractPluginWrapper
`createMenus, createResourceNode, createResourceNode, createTreeNode, destroy, encode, findJBossMBeanServer, findPluginManager, fixUrl, getIdentifier, getMBeanServer, getMBeansForClass, getMBeansForQuery, getSubTreeForResource, getSupportedProfiles, getVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### interpreter

    protected bsh.Interpreter interpreter

### pluginName

    protected String pluginName

### pluginVersion

    protected String pluginVersion

### scriptName

    protected String scriptName

### scriptContent

    protected String scriptContent

### script

    protected ScriptPlugin script

### pluginCtx

    protected PluginContext pluginCtx

Constructor Detail

### BasePluginWrapper

    public BasePluginWrapper()

Method Detail

### init

    public void init(javax.servlet.ServletConfig servletConfig)
              throws Exception

  Specified by:
    `init` in interface `PluginWrapper`
  Overrides:
    `init` in class `AbstractPluginWrapper`
  Throws:
    `Exception`

### readConfigurationParameters

    public void readConfigurationParameters(javax.servlet.ServletConfig config)

  Overrides:
    `readConfigurationParameters` in class `AbstractPluginWrapper`

### getPluginIdentifier

    protected String getPluginIdentifier()

  Overrides:
    `getPluginIdentifier` in class `AbstractPluginWrapper`

### getPluginVersion

    protected String getPluginVersion()

  Overrides:
    `getPluginVersion` in class `AbstractPluginWrapper`

### getTreeForResource

    protected TreeNode getTreeForResource(String profile,
                                          ManageableResource resource)

  Specified by:
    `getTreeForResource` in class `AbstractPluginWrapper`

### isResourceToBeManaged

    protected boolean isResourceToBeManaged(ManageableResource resource)

  Overrides:
    `isResourceToBeManaged` in class `AbstractPluginWrapper`

### isResourceToBeManaged_Script

    protected boolean isResourceToBeManaged_Script(PluginManager master,
                                                   ManageableResource resource)
                                            throws UndeclaredThrowableException

  Throws:
    `UndeclaredThrowableException`

### loadScript

    protected void loadScript(String scriptName)
                       throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.